#!/bin/bash
#
# cleanwork.sh
#
# this cron script is used to clean up the /saswrk directories.
# Old temp/scratch files from defunct runs of SAS are identified
# and removed. Files with no active PID are deleted. These files
# typically resuly from SAS jobs that were killed or died pre-
# maturely on their own. These files would otherwise simply pile
# up and eventually fill the /saswrk scratch space.
#
# See /usr/local/SAS/SAS_9.1/utilities/man/man1/cleanwork.1 for
# more info. All it needs is the directory to look in.
#
# This is called as a root cron job each night at ~4
#
#/usr/local/SAS_9.1/utilities/bin/cleanwork /saswrk 1>/dev/null 2>&1
#
#### Modified Jeff Mahoney 6/11/08 put the 'cleanwork' binary where it can be found
#### in /iusr/local/bin and also check for 
#### saswrk and saswrk2,3,4 directories then clean them up 
#
if [ -d /saswrk ]
 then
   /usr/local/bin/cleanwork /saswrk
fi
#
if [ -d /saswrk2 ]
 then
   /usr/local/bin/cleanwork /saswrk2
fi
#
if [ -d /saswrk3 ]
 then
  /usr/local/bin/cleanwork /saswrk3
fi
#
if [ -d /saswrk4 ]
 then
 /usr/local/bin/cleanwork /saswrk4
fi
